com.smartgwt.client.core

## Class RefDataClass

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass

- Direct Known Subclasses:
    ColorStop, Facet, FacetValue, FiscalCalendar, FiscalYear, FormItem, GaugeSector, GroupSummary, HeaderLevel, Hilite, Lane, ListGridField, Point, Record, SectionStackSection, Tab

      public class RefDataClass
      extends DataClass

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `id`

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RefDataClass()`
    `RefDataClass(JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RefDataClass` | `getRef(JavaScriptObject jsObj)`
    `static RefDataClass` | `getRef(java.lang.String jsObj)`
    `protected void` | `internalSetID(java.lang.String id, boolean autoAssigned, boolean validateID)`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected java.lang.String id

  - ### Constructor Detail

    - #### RefDataClass

          public RefDataClass()

    - #### RefDataClass

          public RefDataClass(JavaScriptObject jsObj)

  - ### Method Detail

    - #### getRef

          public static RefDataClass getRef(java.lang.String jsObj)

    - #### getRef

          public static RefDataClass getRef(JavaScriptObject jsObj)

    - #### internalSetID

          protected void internalSetID(java.lang.String id,
                           boolean autoAssigned,
                           boolean validateID)